## org.eclipse.contribution.visualiser.markerImpl
Class MarkerMarkupProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.simpleImpl.SimpleMarkupProvider
          org.eclipse.contribution.visualiser.markerImpl.MarkerMarkupProvider

All Implemented Interfaces:
  IMarkupProvider

public class MarkerMarkupProvider
extends SimpleMarkupProvider

Markup provider that accompanies the ResourceContentProvider and shows any markers attached to the files being displayed.

Nested Class Summary
`class` `MarkerMarkupProvider.StripeWithMarker`

Constructor Summary
`MarkerMarkupProvider()`

Method Summary
`void` `deactivate()` Deactivate this provider - dispose of system resources
`boolean` `processMouseclick(IMember member, Stripe stripe, int buttonClicked)` Process a mouse click on a stripe.
`protected void` `updateMarkups(java.util.List groups)` Update the set of markups stored by this provider.

Methods inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleMarkupProvider
`activate, addMarkup, addMarkupKind, getAllMarkupKinds, getColorFor, getGroupMarkups, getMemberMarkups, getNextColourFor, initialise, processMarkups, resetColours, resetMarkupsAndKinds, setColorFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkerMarkupProvider

    public MarkerMarkupProvider()

Method Detail

### updateMarkups

    protected void updateMarkups(java.util.List groups)

  Update the set of markups stored by this provider.

  Parameters:
    `groups` -

### processMouseclick

    public boolean processMouseclick(IMember member,
                                     Stripe stripe,
                                     int buttonClicked)

  Process a mouse click on a stripe. This implementation opens the editor at the location of the marker

  Specified by:
    `processMouseclick` in interface `IMarkupProvider`
  Overrides:
    `processMouseclick` in class `SimpleMarkupProvider`
  See Also:
    `IMarkupProvider.processMouseclick(IMember, Stripe, int)`

### deactivate

    public void deactivate()

  Deactivate this provider - dispose of system resources

  Specified by:
    `deactivate` in interface `IMarkupProvider`
  Overrides:
    `deactivate` in class `SimpleMarkupProvider`